complexType "RequestPortfolio"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 attributes, 7 elements
Defined: | globally in fpml-reconciliation-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "2"
| >
Content: | header?, validation*, asOfDate?, (portfolioName? | requestedPositions?), party*, account*
</...>

Content Model Elements (7):

  account, asOfDate (in requestPortfolio), header (defined in RequestMessage complexType), party (defined in PartiesAndAccounts.model group), | portfolioName (in requestPortfolio), requestedPositions (in requestPortfolio), validation

All Direct / Indirect Based Elements (1):

  requestPortfolio

Known Usage Locations

- As direct type of elements (1):
  requestPortfolio

Annotation
A type defining the content model for a message requesting a portfolio (for reconciliation purposes).
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) RequestMessage (extension) RequestPortfolio

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="RequestPortfolio"> <xsd:complexContent> <xsd:extension base="RequestMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="asOfDate" type="IdentifiedDate"/> <xsd:choice> <xsd:element minOccurs="0" name="portfolioName" type="xsd:normalizedString"/> <xsd:element minOccurs="0" name="requestedPositions" type="RequestedPositions"/> </xsd:choice> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/7)
asOfDate

  Type: | IdentifiedDate, simple content

  The date for which this request desires positions and valuations.
  Simple Content

  xsd:date

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="asOfDate" type="IdentifiedDate"/>

portfolioName

  Type: | xsd:normalizedString, predefined, simple content

  The name of the portfolio that is requested.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="portfolioName" type="xsd:normalizedString"/>

requestedPositions

  Type: | RequestedPositions, complex content

  The name of the data set (portfolio, product type, etc.) that this request corresponds to. Describes the desired report.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="requestedPositions" type="RequestedPositions"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.